neo4j_update_counts Struct Reference

Update counts. More...

`#include <neo4j-client.h>`

## Data Fields

unsigned long long | nodes_created
| Nodes created. More...
unsigned long long | nodes_deleted
| Nodes deleted. More...
unsigned long long | relationships_created
| Relationships created. More...
unsigned long long | relationships_deleted
| Relationships deleted. More...
unsigned long long | properties_set
| Properties set. More...
unsigned long long | labels_added
| Labels added. More...
unsigned long long | labels_removed
| Labels removed. More...
unsigned long long | indexes_added
| Indexes added. More...
unsigned long long | indexes_removed
| Indexes removed. More...
unsigned long long | constraints_added
| Constraints added. More...
unsigned long long | constraints_removed
| Constraints removed. More...

## Detailed Description

Update counts.

These are a count of all the updates that occurred as a result of the statement sent to neo4j.

## Field Documentation

## constraints_added

unsigned long long neo4j_update_counts::constraints_added

Constraints added.

## constraints_removed

unsigned long long neo4j_update_counts::constraints_removed

Constraints removed.

## indexes_added

unsigned long long neo4j_update_counts::indexes_added

Indexes added.

## indexes_removed

unsigned long long neo4j_update_counts::indexes_removed

Indexes removed.

## labels_added

unsigned long long neo4j_update_counts::labels_added

Labels added.

## labels_removed

unsigned long long neo4j_update_counts::labels_removed

Labels removed.

## nodes_created

unsigned long long neo4j_update_counts::nodes_created

Nodes created.

## nodes_deleted

unsigned long long neo4j_update_counts::nodes_deleted

Nodes deleted.

## properties_set

unsigned long long neo4j_update_counts::properties_set

Properties set.

## relationships_created

unsigned long long neo4j_update_counts::relationships_created

Relationships created.

## relationships_deleted

unsigned long long neo4j_update_counts::relationships_deleted

Relationships deleted.